#include <QApplication>

#include <QVTKWidget.h>

#include <vtkActor.h>
#include <vtkPolyDataMapper.h>
#include <vtkRenderer.h>
#include <vtkRenderWindow.h>
#include <vtkSmartPointer.h>
#include <vtkSphereSource.h>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    auto sphereSource = vtkSmartPointer<vtkSphereSource>::New();
    sphereSource->Update();

    auto sphereMapper = vtkSmartPointer<vtkPolyDataMapper>::New();
    sphereMapper->SetInputConnection(sphereSource->GetOutputPort());

    auto sphereActor = vtkSmartPointer<vtkActor>::New();
    sphereActor->SetMapper(sphereMapper);
 
    auto renderer = vtkSmartPointer<vtkRenderer>::New();
    renderer->AddActor(sphereActor);

    QVTKWidget widget;
    widget.show();
    widget.GetRenderWindow()->AddRenderer(renderer);

    return app.exec();
}
